Bug 587704 - f13 new icon for fedora-release-notes
f13 new icon for fedora-release-notes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release-notes (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f13artwork
  Show dependency treegraph
 
Reported: 2010-04-30 12:00 EDT by Máirín Duffy
Modified: 2013-01-10 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 19:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
icons for fedora-release-notes by Lapo Calamandrei (6.81 KB, application/x-bzip2)
2010-04-30 12:00 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2010-04-30 12:00:12 EDT
Created attachment 410531 [details]
icons for fedora-release-notes by Lapo Calamandrei

Description of problem:

I've been reviewing F13's default spin install to identify icon inconsistencies and offer replacement icons when needed.

The Fedora release notes package places an icon in the system menu on a default install and the icon doesn't match the gnome-icon-theme. Lapo Calamandrei from the GNOME art team has kindly put together a version of the icon to fit the gnome-icon-theme guidelines. Would you consider adding them in for f13?

I also noticed the fedora-release-notes-12.0.95-4.fc13 (the latest F13 version as of 30 Apr 2010) places the icon it does ship in a non-standard directory. It's .desktop file refers to:

Icon=/usr/share/doc/HTML/fedora-release-notes/en-US/images/icon.svg

The icon should more correctly be placed in /usr/share/icons/hicolor/$ICON_SIZE/apps, with various sizes placed in the $ICON_SIZE directory that applies to them. If you gave the icon the name 'fedora-release-notes.png' then you would just need the following in the desktop file:

Icon=fedora-release-notes

and it should display the correct size icon for each individual place the icon is used.

I'm attaching the icons Lapo put together for fedora-release-notes.
Comment 1 Paul W. Frields 2010-05-03 19:34:41 EDT
The new icons will make it to GA.  Spec file changes already made and the icons are in the package CVS.  I'll be building f-r-n shortly for F-13 GA.
Comment 2 Fedora Update System 2010-05-03 20:28:38 EDT
fedora-release-notes-13-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-release-notes-13-2.fc13
Comment 3 Fedora Update System 2010-05-03 22:23:36 EDT
fedora-release-notes-13-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-release-notes-13-3.fc13
Comment 4 Fedora Update System 2010-05-05 03:18:59 EDT
fedora-release-notes-13-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-05-23 16:24:45 EDT
fedora-release-notes-13.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-release-notes-13.2-1.fc13

Note You need to log in before you can comment on or make changes to this bug.